function [rbond,rc,rc2] = simret(rfdef_face, cw, delc, freq)

%======================================================================
%  NOTES:
%  Modified from the code written by Wacther (2013, Journal of Finance)
%======================================================================

T = length(cw)-1;
if length(delc)~=T
  error('lengths of dividend growth and price-dividend ratio do not match');
end

%level gross returns on a claim to consumption tomorrow
%rc = cw(1:T)*freq.*exp(delc);
rc = ((1./cw(2:T+1))*freq+ones(T,1))./((1./cw(1:T))*freq).*exp(delc);

rc2 = ((1./cw(2:T+1))*freq)./((1./cw(1:T))*freq).*exp(delc);

%level gross returns on bonds
%rfdef is an ex-ante measure
rbond = 1 + rfdef_face(1:end-1,1)/freq;

% End-of-file

