% Summary of the Monte Carlo study

% values are annualized and in percentage points
% show results for the converged cases only
results_mat=results_mat(results_mat(:,21)==1,:);

figure('Name',['Summary of the Monte Carlo study (solution = ',num2str(solution),', quiet = ',num2str(quiet),')'],'NumberTitle','off')

% histogram of the sample parameters
subplot(3,2,1)
hist(results_mat(:,1),100)
hold on
grid on
title(['','estimated \beta'])
hold off

subplot(3,2,2)
hist(results_mat(:,2),100)
hold on
grid on
title(['','estimated \gamma'])
hold off

subplot(3,2,3)
hist(results_mat(:,3),100)
hold on
grid on
title(['','annualized RMSE fitted (%)'])
hold off

subplot(3,2,4)
hist(results_mat(:,4),100)
hold on
grid on
title(['','annualized true RMSE (%)'])
hold off

subplot(3,2,5)
hist(results_mat(:,5),100)
hold on
grid on
title(['','annualized equity premium (%)'])
hold off

subplot(3,2,6)
hist(results_mat(:,10),100)
hold on
grid on
title(['','annualized consumption growth rate (%)'])
hold off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of file
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%