function r_ann = compret(r,freq)

%======================================================================
%  NOTES:
%  Code written by Wacther (2013, Journal of Finance)
%======================================================================

T = length(r);

if mod(T,freq)~=0
  warning('Total number of simulation points not divisable by the freqency')
end

if freq == 1
  r_ann = r;
else
  r_ann = reshape(r',freq,T/freq);
  r_ann = sum(r_ann)';
end